_PTP_USB(3)

NAME
_PTP_USB

SYNOPSIS

  Data Fields
PTPParams * params
uint8_t config
uint8_t interface
uint8_t altsetting
int inep
int inep_maxpacket
int outep
int outep_maxpacket
int intep
int callback_active
int timeout
uint16_t bcdusb
uint64_t current_transfer_total
uint64_t current_transfer_complete
LIBMTP_progressfunc_t current_transfer_callback
void const * current_transfer_callback_data
LIBMTP_raw_device_t rawdevice

Field Documentation

  int _PTP_USB::callback_active
File transfer callbacks and counters

  LIBMTP_raw_device_t _PTP_USB::rawdevice
Any special device flags, only used internally

Referenced by dump_usbinfo().

Author

Generated automatically by Doxygen for libmtp from the source code.